2020-06-03 20:48 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002703Spring engineGeneralpublic2011-11-15 11:58
Reporterabma 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version84.0 
Summary0002703: AddDeathDependence: Duplicated listener object for dependence type 10
Descriptioncan be reproduced by replaying demo...


triggered by some /cheat + /give all

see attached demo

git describe:
82.8.1-64-g0115fa9
Additional Information[f=0004338] Error: AddDeathDependence: Duplicated listener object for dependence type 10
[f=0004338] Error: Stacktrace:
[f=0004338] Error: <0> /home/abma/dev/spring/master/rts/System/Object.cpp:141
[f=0004338] Error: <1> /home/abma/dev/spring/master/rts/Sim/MoveTypes/MoveType.cpp:115
[f=0004338] Error: <2> /home/abma/dev/spring/master/rts/Sim/MoveTypes/AAirMoveType.cpp:74
[f=0004338] Error: <3> /home/abma/dev/spring/master/rts/Sim/Units/CommandAI/MobileCAI.cpp:353
[f=0004338] Error: <4> /home/abma/dev/spring/master/rts/Sim/Units/CommandAI/MobileCAI.cpp:373
[f=0004338] Error: <5> /home/abma/dev/spring/master/rts/Sim/Units/Unit.cpp:930
[f=0004338] Error: <6> /home/abma/dev/spring/master/rts/Sim/Units/UnitHandler.cpp:321
[f=0004338] Error: <7> /home/abma/dev/spring/master/rts/Game/Game.cpp:1430
[f=0004338] Error: <8> /home/abma/dev/spring/master/rts/Game/NetCommands.cpp:365
[f=0004338] Error: <9> /home/abma/dev/spring/master/rts/Game/Game.cpp:887
[f=0004338] Error: AddDeathDependence: Duplicated listening object for dependence type 10
[f=0004338] Error: Stacktrace:
[f=0004338] Error: <0> /home/abma/dev/spring/master/rts/System/Object.cpp:148
[f=0004338] Error: <1> /home/abma/dev/spring/master/rts/Sim/MoveTypes/MoveType.cpp:115
[f=0004338] Error: <2> /home/abma/dev/spring/master/rts/Sim/MoveTypes/AAirMoveType.cpp:74
[f=0004338] Error: <3> /home/abma/dev/spring/master/rts/Sim/Units/CommandAI/MobileCAI.cpp:353
[f=0004338] Error: <4> /home/abma/dev/spring/master/rts/Sim/Units/CommandAI/MobileCAI.cpp:373
[f=0004338] Error: <5> /home/abma/dev/spring/master/rts/Sim/Units/Unit.cpp:930
[f=0004338] Error: <6> /home/abma/dev/spring/master/rts/Sim/Units/UnitHandler.cpp:321
[f=0004338] Error: <7> /home/abma/dev/spring/master/rts/Game/Game.cpp:1430
[f=0004338] Error: <8> /home/abma/dev/spring/master/rts/Game/NetCommands.cpp:365
[f=0004338] Error: <9> /home/abma/dev/spring/master/rts/Game/Game.cpp:887
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • ? file icon 20111105_165134_CloseCombat_82.8.1-64-g0115fa9 develop.sdf (92,084 bytes) 2011-11-05 18:40
  • ? file icon 20111114_224432_indonesia003_83.0.1-136-gaeee060 HEAD.sdf (858,017 bytes) 2011-11-14 23:28
  • txt file icon infolog.txt (65,030 bytes) 2011-11-14 23:28 -
    Using configuration source: "/home/abma/.springrc"
    [CMyMath::Init] CPU SSE mask: 888, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  0
    	SSE 4.1:  0,  SSE 4.2:  0
    	SSE 4.0A: 1,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    [Watchdog] disabled
    OS: Linux 3.0.0-12-generic #20-Ubuntu SMP Fri Oct 7 14:56:25 UTC 2011 x86_64
    OS: 64bit native mode
    Debug: Adding /home/abma/.spring/ to directories
    Debug: Skipping already added directory /home/abma/.spring/
    Debug: Adding /home/abma/local/spring/release/share/games/spring/ to directories
    Available log sections: KeyBindings, CSMFGroundTextures, BumpWater, DynWater, SkyBox, FarTextureHandler, ModelDrawer, OBJParser, WorldObjectModelRenderer, Texture, Font, CollisionVolume, GroundMoveType, Path, UnitScript, AutohostInterface, ArchiveScanner, VFS, Sound
    Enabled log sections: Sound(LOG_LEVEL_DEBUG)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 83.0.1-136-gaeee060 HEAD (Debug)
    Build date/time: Nov 14 2011 22:02:23
    Build environment: boost-104601, GNU libstdc++ version 20110903
    Compiler: gcc-4.6.1
    Using read-write data directory: /home/abma/.spring/
    Using read-only data directory: /home/abma/local/spring/release/share/games/spring/
    Scanning: /home/abma/local/spring/release/share/games/spring/base
    Scanning: /home/abma/.spring/maps
    [ArchiveScanner] Found new map: Small Supreme Battlefield V2
    [ArchiveScanner] Found new map: Small Supreme Battlefield V2
    Scanning: /home/abma/.spring/games
    Scanning: /home/abma/.spring/packages
    Supported Video modes: 1680x1050, 1600x1200, 1440x900, 1400x1050, 1280x1024, 1280x960, 1280x800, 1280x768, 1280x720, 1152x864, 1024x768, 800x600, 640x480
    Video mode set to 1680x1050/32bit (windowed)
    [f=0000000] SDL:  1.2.14
    [f=0000000] GL version:   4.1.11005 Compatibility Profile Context
    [f=0000000] GL vendor:    ATI Technologies Inc.
    [f=0000000] GL renderer:  ATI Radeon HD 5700 Series 
    [f=0000000] GLSL version: 4.10
    [f=0000000] GLEW version: 1.5.2
    [f=0000000] GL info: FBO=1 NPOT=1 24bitDepth=1 ATiHacks=0
    [f=0000000] Loading startscript from: /home/abma/.spring/script.txt
    [f=0000000] Connecting to 94.23.171.71:8453 using name [AG]abma
    [f=0000000] Video mode set to 1680x1026/32bit (windowed)
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               ALSA Default
    [f=0000000] [Sound]   Device:     ALSA Default
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.13
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_sub_data AL_SOFT_loop_points
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound] Debug:   EFX MaxSlots: 4
    [f=0000000] [Sound] Debug:   EFX MaxSlotsPerSource: 2
    [f=0000000] [Sound]   Max Sounds: 16
    [f=0000000] Video mode set to 1680x1001/32bit (windowed)
    [f=0000000] Starting demo recording
    [f=0000000] Using map: indonesia003
    [f=0000000] [ArchiveScanner] GetArchives: indonesia003 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: indonesia003 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/indonesia003.sd7 checksum: -728013009/3566954287
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/release/share/games/spring/base/maphelper.sdz checksum: -1416460384/2878506912
    [f=0000000] [ArchiveScanner] archive checksum indonesia003: 2131353743/2131353743
    [f=0000000] Using game: Zero-K v0.8.13.4.3
    [f=0000000] [ArchiveScanner] GetArchives: Zero-K v0.8.13.4.3 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] Using game archive: 10b7067950d50898e5af33f70e0c5383.sdp
    [f=0000000] [ArchiveScanner] GetArchives: 10b7067950d50898e5af33f70e0c5383.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/10b7067950d50898e5af33f70e0c5383.sdp checksum: -152677910/4142289386
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/release/share/games/spring/base/springcontent.sdz checksum: 2104627929/2104627929
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/release/share/games/spring/base/spring/bitmaps.sdz checksum: -1951780851/2343186445
    [f=0000000] [ArchiveScanner] archive checksum 10b7067950d50898e5af33f70e0c5383.sdp: 4092734/4092734
    [f=0000000] recording demo: demos/20111114_224432_indonesia003_83.0.1-136-gaeee060 HEAD.sdf
    [f=0000000] PreGame::GameDataReceived: 50 ms
    [f=0000000] User number 4 (team 0, allyteam 0)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Processing comm: c125676_4532_4
    [f=0000000] Processing comm: c125676_4687_2
    [f=0000000] Processing comm: c125676_4687_3
    [f=0000000] Processing comm: c125676_4532_1
    [f=0000000] Processing comm: c125676_4532_2
    [f=0000000] Processing comm: c125676_4687_4
    [f=0000000] Processing comm: c125676_4687_1
    [f=0000000] Processing comm: c125676_4532_3
    [f=0000000] Processing comm: stresstest1
    [f=0000000] Processing comm: stresstest2
    [f=0000000] Processing comm: stresstest3
    [f=0000000] Processing comm: stresstest4
    [f=0000000] Processing comm: test_c4_rocket
    [f=0000000] Processing comm: test_c4_beam
    [f=0000000] Processing comm: test_c4_gauss
    [f=0000000] Processing comm: test_c4_arty
    [f=0000000] Processing comm: test_c4_hmg
    [f=0000000] Processing comm: test_c4_shotty
    [f=0000000] Processing comm: test_c4_partbeam
    [f=0000000] Processing comm: test_c4_lightning
    [f=0000000] Processing comm: test_c4_flame
    [f=0000000] Processing comm: test_a4_rocket
    [f=0000000] Processing comm: test_a4_beam
    [f=0000000] Processing comm: test_a4_gauss
    [f=0000000] Processing comm: test_a4_arty
    [f=0000000] Processing comm: test_a4_hmg
    [f=0000000] Processing comm: test_a4_shotty
    [f=0000000] Processing comm: test_a4_partbeam
    [f=0000000] Processing comm: test_a4_lightning
    [f=0000000] Processing comm: test_a4_flame
    [f=0000000] Processing comm: test_s4_rocket
    [f=0000000] Processing comm: test_s4_beam
    [f=0000000] Processing comm: test_s4_gauss
    [f=0000000] Processing comm: test_s4_arty
    [f=0000000] Processing comm: test_s4_hmg
    [f=0000000] Processing comm: test_s4_shotty
    [f=0000000] Processing comm: test_s4_partbeam
    [f=0000000] Processing comm: test_s4_lightning
    [f=0000000] Processing comm: test_s4_flame
    [f=0000000] Processing comm: test_r4_rocket
    [f=0000000] Processing comm: test_r4_beam
    [f=0000000] Processing comm: test_r4_gauss
    [f=0000000] Processing comm: test_r4_arty
    [f=0000000] Processing comm: test_r4_hmg
    [f=0000000] Processing comm: test_r4_shotty
    [f=0000000] Processing comm: test_r4_partbeam
    [f=0000000] Processing comm: test_r4_lightning
    [f=0000000] Processing comm: test_r4_flame
    [f=0000000] Processing comm: test_c1_rocket
    [f=0000000] Processing comm: test_c1_beam
    [f=0000000] Processing comm: test_c1_gauss
    [f=0000000] Processing comm: test_c1_arty
    [f=0000000] Processing comm: test_c1_hmg
    [f=0000000] Processing comm: test_c1_shotty
    [f=0000000] Processing comm: test_c1_partbeam
    [f=0000000] Processing comm: test_c1_lightning
    [f=0000000] Processing comm: test_c1_flame
    [f=0000000] Processing comm: test_a1_rocket
    [f=0000000] Processing comm: test_a1_beam
    [f=0000000] Processing comm: test_a1_gauss
    [f=0000000] Processing comm: test_a1_arty
    [f=0000000] Processing comm: test_a1_hmg
    [f=0000000] Processing comm: test_a1_shotty
    [f=0000000] Processing comm: test_a1_partbeam
    [f=0000000] Processing comm: test_a1_lightning
    [f=0000000] Processing comm: test_a1_flame
    [f=0000000] Processing comm: test_s1_rocket
    [f=0000000] Processing comm: test_s1_beam
    [f=0000000] Processing comm: test_s1_gauss
    [f=0000000] Processing comm: test_s1_arty
    [f=0000000] Processing comm: test_s1_hmg
    [f=0000000] Processing comm: test_s1_shotty
    [f=0000000] Processing comm: test_s1_partbeam
    [f=0000000] Processing comm: test_s1_lightning
    [f=0000000] Processing comm: test_s1_flame
    [f=0000000] Processing comm: test_r1_rocket
    [f=0000000] Processing comm: test_r1_beam
    [f=0000000] Processing comm: test_r1_gauss
    [f=0000000] Processing comm: test_r1_arty
    [f=0000000] Processing comm: test_r1_hmg
    [f=0000000] Processing comm: test_r1_shotty
    [f=0000000] Processing comm: test_r1_partbeam
    [f=0000000] Processing comm: test_r1_lightning
    [f=0000000] Processing comm: test_r1_flame
    [f=0000000] Processing comm: test_cr1_rocket
    [f=0000000] Processing comm: test_cr1_beam
    [f=0000000] Processing comm: test_cr1_gauss
    [f=0000000] Processing comm: test_cr1_arty
    [f=0000000] Processing comm: test_cr1_hmg
    [f=0000000] Processing comm: test_cr1_shotty
    [f=0000000] Processing comm: test_cr1_partbeam
    [f=0000000] Processing comm: test_cr1_lightning
    [f=0000000] Processing comm: test_cr1_flame
    [f=0000000] Processing comm: test_cr4_rocket
    [f=0000000] Processing comm: test_cr4_beam
    [f=0000000] Processing comm: test_cr4_gauss
    [f=0000000] Processing comm: test_cr4_arty
    [f=0000000] Processing comm: test_cr4_hmg
    [f=0000000] Processing comm: test_cr4_shotty
    [f=0000000] Processing comm: test_cr4_partbeam
    [f=0000000] Processing comm: test_cr4_lightning
    [f=0000000] Processing comm: test_cr4_flame
    [f=0000000] Processing comm: comm_hunter
    [f=0000000] Processing comm: comm_guardian
    [f=0000000] Processing comm: comm_riot
    [f=0000000] Processing comm: comm_recon
    [f=0000000] Processing comm: comm_marksman
    [f=0000000] Processing comm: comm_rocketeer
    [f=0000000] Processing comm: comm_special
    [f=0000000] Processing comm: comm_marine
    [f=0000000] Processing comm: comm_flamer
    [f=0000000] Planetwars error: Planetwars data entry in modoption is empty or in invalid format
    [f=0000000] Loading all definitions:  0.343000
    [f=0000000] Game::LoadDefs (GameData): 458 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound] Warning: Sound IncomingChat is missing file tag (ignoring)
    [f=0000000] [Sound]  parsed 115 sounds from gamedata/sounds.lua
    [f=0000000] [Sound] Warning: Unable to open audio file: IncomingChat
    [f=0000000] [Sound] Warning: CSound::GetSoundId: could not find sound: IncomingChat
    [f=0000000] Game::LoadDefs (Sound): 8 ms
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (32 MB)
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 1081 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] Number of damage types: 9
    [f=0000000] [RegisterAssimpModelParsers] supported Assimp model formats: *.3d;*.3ds;*.ac;*.ac3d;*.acc;*.ase;*.ask;*.b3d;*.blend;*.bvh;*.cob;*.csm;*.dae;*.dxf;*.enff;*.hmp;*.ifc;*.irr;*.irrmesh;*.lwo;*.lws;*.lxo;*.md2;*.md3;*.md5anim;*.md5camera;*.md5mesh;*.mdc;*.mdl;*.mesh.xml;*.mot;*.ms3d;*.ndo;*.nff;*.obj;*.off;*.pk3;*.ply;*.prj;*.q3o;*.q3s;*.raw;*.scn;*.smd;*.stl;*.ter;*.uc;*.vta;*.x;*.xml;
    [f=0000000] Creating Unit Textures
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Loading Unit Definitions
    [f=0000000] Warning: [UnitDef] inconsistent path-type 14 for "chicken" (move-class "bhover3"): floater, but not a ship-based movetype
    [f=0000000] Warning: [UnitDef] inconsistent path-type 14 for "chicken_dodo" (move-class "bhover3"): floater, but not a ship-based movetype
    [f=0000000] Warning: [UnitDef] inconsistent path-type 14 for "chickenblobber" (move-class "bhover3"): floater, but not a ship-based movetype
    [f=0000000] Warning: [UnitDef] inconsistent path-type 14 for "chickenr" (move-class "bhover3"): floater, but not a ship-based movetype
    [f=0000000] Warning: [UnitDef] inconsistent path-type 14 for "chickens" (move-class "bhover3"): floater, but not a ship-based movetype
    [f=0000000] Loading Feature Definitions
    [f=0000000] Initializing Map Features
    [f=0000000] PathCosts: creating PE8 cache with 4 PF threads (72 MB)
    [f=0000000] PathCosts: precached 0 of 4608
    [f=0000000] PathCosts: precached 290 of 4608
    [f=0000000] PathCosts: precached 584 of 4608
    [f=0000000] PathCosts: precached 872 of 4608
    [f=0000000] PathCosts: precached 1162 of 4608
    [f=0000000] PathCosts: precached 1450 of 4608
    [f=0000000] PathCosts: precached 1739 of 4608
    [f=0000000] PathCosts: precached 2029 of 4608
    [f=0000000] PathCosts: precached 2320 of 4608
    [f=0000000] PathCosts: precached 2608 of 4608
    [f=0000000] PathCosts: precached 2897 of 4608
    [f=0000000] PathCosts: precached 3185 of 4608
    [f=0000000] PathCosts: precached 3476 of 4608
    [f=0000000] PathCosts: precached 3772 of 4608
    [f=0000000] PathCosts: precached 4066 of 4608
    [f=0000000] PathCosts: precached 4355 of 4608
    [f=0000000] PathCosts: writing
    [f=0000000] PathCosts: written
    [f=0000000] PathCosts: creating PE32 cache with 4 PF threads (72 MB)
    [f=0000000] PathCosts: precached 0 of 288
    [f=0000000] PathCosts: precached 19 of 288
    [f=0000000] PathCosts: precached 39 of 288
    [f=0000000] PathCosts: precached 59 of 288
    [f=0000000] PathCosts: precached 79 of 288
    [f=0000000] PathCosts: precached 97 of 288
    [f=0000000] PathCosts: precached 117 of 288
    [f=0000000] PathCosts: precached 137 of 288
    [f=0000000] PathCosts: precached 161 of 288
    [f=0000000] PathCosts: precached 179 of 288
    [f=0000000] PathCosts: precached 197 of 288
    [f=0000000] PathCosts: precached 216 of 288
    [f=0000000] PathCosts: precached 238 of 288
    [f=0000000] PathCosts: precached 256 of 288
    [f=0000000] PathCosts: writing
    [f=0000000] PathCosts: written
    [f=0000000] [CPathManager] pathing data checksum: 710e20f7
    [f=0000000] Creating Sky
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Tile Files
    [f=0000000] Reading Tile Map
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 7 ms
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 85 ms
    [f=0000000] [Sound] Warning: Unable to open audio file: MultiSelect
    [f=0000000] [Sound] Warning: CSound::GetSoundId: could not find sound: MultiSelect
    [f=0000000] Game::LoadInterface (Console): 23 ms
    [f=0000000] [Sound] Warning: Unable to open audio file: FailedCommand
    [f=0000000] [Sound] Warning: CSound::GetSoundId: could not find sound: FailedCommand
    [f=0000000] Loading LuaRules
    [f=0000000] [ArchiveScanner] GetArchives: indonesia003 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/indonesia003.sd7 checksum: -728013009/3566954287
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/release/share/games/spring/base/maphelper.sdz checksum: -1416460384/2878506912
    [f=0000000] [ArchiveScanner] archive checksum indonesia003: 2131353743/2131353743
    [f=0000000] [ArchiveScanner] GetArchives: 10b7067950d50898e5af33f70e0c5383.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/10b7067950d50898e5af33f70e0c5383.sdp checksum: -152677910/4142289386
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/release/share/games/spring/base/springcontent.sdz checksum: 2104627929/2104627929
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/release/share/games/spring/base/spring/bitmaps.sdz checksum: -1951780851/2343186445
    [f=0000000] [ArchiveScanner] archive checksum 10b7067950d50898e5af33f70e0c5383.sdp: 4092734/4092734
    [f=0000000] Jump Jet Defs error checking begining..
    [f=0000000] .. Jump Jet Defs error checking complete
    [f=0000000] Jump Jet Defs error checking begining..
    [f=0000000] .. Jump Jet Defs error checking complete
    [f=0000000] Comm Morph error: Comm data entry for player 0 is empty or in invalid format
    [f=0000000] Comm Morph error: Comm data entry for player 0 is empty or in invalid format
    [f=0000000] Comm Morph error: Comm data entry for player 2 is empty or in invalid format
    [f=0000000] Comm Morph error: Comm data entry for player 3 is empty or in invalid format
    [f=0000000] Comm Morph error: Comm data entry for player 4 is empty or in invalid format
    [f=0000000] Setting morph for custom comms for player: 1
    [f=0000000] Configuring comm morph: c125676_4532_1, c125676_4532_2
    [f=0000000] Configuring comm morph: c125676_4532_2, c125676_4532_3
    [f=0000000] Configuring comm morph: c125676_4532_3, c125676_4532_4
    [f=0000000] Configuring comm morph: c125676_4687_1, c125676_4687_2
    [f=0000000] Configuring comm morph: c125676_4687_2, c125676_4687_3
    [f=0000000] Configuring comm morph: c125676_4687_3, c125676_4687_4
    [f=0000000] AI taken control of team 1 on allyTeam 1
    [f=0000000] CAI: team 1 has selected strategy: Blitz, using commander strikecomm
    [f=0000000] Ally Team 0 intialised
    [f=0000000] Team 0 on allyTeam 0
    [f=0000000] Ally Team 1 intialised
    [f=0000000] Team 1 on allyTeam 1
    [f=0000000] AI on ally team 1
    [f=0000000] Ally Team 2 intialised
    [f=0000000] Ally Team 3 intialised
    [f=0000000] Ally Team 4 intialised
    [f=0000000] Ally Team 5 intialised
    [f=0000000] Ally Team 6 intialised
    [f=0000000] Ally Team 7 intialised
    [f=0000000] Ally Team 8 intialised
    [f=0000000] Ally Team 9 intialised
    [f=0000000] Ally Team 10 intialised
    [f=0000000] Team 2 on allyTeam 10
    [f=0000000] Game Over initialized
    [f=0000000] Loading gadget: Lua unit script framework  <unit_script.lua>
    [f=0000000]   Loading unit script: scripts/amgeo.lua
    [f=0000000]   Loading unit script: scripts/arm_spider.lua
    [f=0000000]   Loading unit script: scripts/arm_venom.lua
    [f=0000000]   Loading unit script: scripts/armaak.lua
    [f=0000000]   Loading unit script: scripts/armamd.lua
    [f=0000000]   Loading unit script: scripts/armanni.lua
    [f=0000000]   Loading unit script: scripts/armcom.lua
    [f=0000000]   Loading unit script: scripts/armcrabe.lua
    [f=0000000]   Loading unit script: scripts/armcybr.lua
    [f=0000000]   Loading unit script: scripts/armjamt.lua
    [f=0000000]   Loading unit script: scripts/armnanotc.lua
    [f=0000000]   Loading unit script: scripts/armpt.lua
    [f=0000000]   Loading unit script: scripts/armpw.lua
    [f=0000000]   Loading unit script: scripts/armsolar.lua
    [f=0000000]   Loading unit script: scripts/armsptk.lua
    [f=0000000]   Loading unit script: scripts/armspy.lua
    [f=0000000]   Loading unit script: scripts/armstiletto_laser.lua
    [f=0000000]   Loading unit script: scripts/armwin.lua
    [f=0000000]   Loading unit script: scripts/asteroid.lua
    [f=0000000]   Loading unit script: scripts/attackdrone.lua
    [f=0000000]   Loading unit script: scripts/blackdawn.lua
    [f=0000000]   Loading unit script: scripts/blastwing.lua
    [f=0000000]   Loading unit script: scripts/commsupport.lua
    [f=0000000]   Loading unit script: scripts/commrecon.lua
    [f=0000000]   Loading unit script: scripts/cafus.lua
    [f=0000000]   Loading unit script: scripts/capturecar.lua
    [f=0000000]   Loading unit script: scripts/carrydrone.lua
    [f=0000000]   Loading unit script: scripts/chicken_roc.lua
    [f=0000000]   Loading unit script: scripts/chickenflyerqueen.lua
    [f=0000000]   Loading unit script: scripts/chickenlandqueen.lua
    [f=0000000]   Loading unit script: scripts/chickenwurm.lua
    [f=0000000]   Loading unit script: scripts/corcom_alt.lua
    [f=0000000]   Loading unit script: scripts/cremcom.lua
    [f=0000000]   Loading unit script: scripts/corbats.lua
    [f=0000000]   Loading unit script: scripts/corbhmth.lua
    [f=0000000]   Loading unit script: scripts/corcrash.lua
    [f=0000000]   Loading unit script: scripts/corcrw.lua
    [f=0000000]   Loading unit script: scripts/cordoom.lua
    [f=0000000]   Loading unit script: scripts/core_spectre.lua
    [f=0000000]   Loading unit script: scripts/corhurc2.lua
    [f=0000000]   Loading unit script: scripts/corjamt.lua
    [f=0000000]   Loading unit script: scripts/corroach.lua
    [f=0000000]   Loading unit script: scripts/corshad.lua
    [f=0000000]   Loading unit script: scripts/corsub.lua
    [f=0000000]   Loading unit script: scripts/corsumo.lua
    [f=0000000]   Loading unit script: scripts/corsy.lua
    [f=0000000]   Loading unit script: scripts/corvamp.lua
    [f=0000000]   Loading unit script: scripts/cruisemissile.lua
    [f=0000000]   Loading unit script: scripts/factoryjump.lua
    [f=0000000]   Loading unit script: scripts/factoryplane.lua
    [f=0000000]   Loading unit script: scripts/factorytank.lua
    [f=0000000]   Loading unit script: scripts/nullscript.lua
    [f=0000000]   Loading unit script: scripts/firebug.lua
    [f=0000000]   Loading unit script: scripts/funnelweb.lua
    [f=0000000]   Loading unit script: scripts/geo.lua
    [f=0000000]   Loading unit script: scripts/missilesilo.lua
    [f=0000000]   Loading unit script: scripts/railgunturret.lua
    [f=0000000]   Loading unit script: scripts/raveparty.lua
    [f=0000000]   Loading unit script: scripts/scorpion.lua
    [f=0000000]   Loading unit script: scripts/screamer.lua
    [f=0000000]   Loading unit script: scripts/serpent.lua
    [f=0000000]   Loading unit script: scripts/shieldarty.lua
    [f=0000000]   Loading unit script: scripts/spideraa.lua
    [f=0000000]   Loading unit script: scripts/wolverine_mine.lua
    [f=0000000]   Loading unit script: scripts/zenith.lua
    [f=0000000] Start Unit Setup error: Comm data entry for player 0 is empty or in invalid format
    [f=0000000] Start Unit Setup error: Comm data entry for player 0 is empty or in invalid format
    [f=0000000] Start Unit Setup error: Comm data entry for player 2 is empty or in invalid format
    [f=0000000] Start Unit Setup error: Comm data entry for player 3 is empty or in invalid format
    [f=0000000] Start Unit Setup error: Comm data entry for player 4 is empty or in invalid format
    [f=0000000] Unlock system error: Unlock data entry for player 0 is empty or in invalid format
    [f=0000000] Unlock system error: Unlock data entry for player 0 is empty or in invalid format
    [f=0000000] Unlock system error: Unlock data entry for player 2 is empty or in invalid format
    [f=0000000] Unlock system error: Unlock data entry for player 3 is empty or in invalid format
    [f=0000000] Unlock system error: Unlock data entry for player 4 is empty or in invalid format
    [f=0000000] Planetwars error: Planetwars data entry in modoption is empty or in invalid format
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] [ArchiveScanner] GetArchives: indonesia003 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/indonesia003.sd7 checksum: -728013009/3566954287
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/release/share/games/spring/base/maphelper.sdz checksum: -1416460384/2878506912
    [f=0000000] [ArchiveScanner] archive checksum indonesia003: 2131353743/2131353743
    [f=0000000] [ArchiveScanner] GetArchives: 10b7067950d50898e5af33f70e0c5383.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/10b7067950d50898e5af33f70e0c5383.sdp checksum: -152677910/4142289386
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/release/share/games/spring/base/springcontent.sdz checksum: 2104627929/2104627929
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/release/share/games/spring/base/spring/bitmaps.sdz checksum: -1951780851/2343186445
    [f=0000000] [ArchiveScanner] archive checksum 10b7067950d50898e5af33f70e0c5383.sdp: 4092734/4092734
    [f=0000000] Jump Jet Defs error checking begining..
    [f=0000000] .. Jump Jet Defs error checking complete
    [f=0000000] <No Multithread> MT not detected, exiting
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] This game has locked LuaUI access
    [f=0000000] [ArchiveScanner] GetArchives: indonesia003 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/indonesia003.sd7 checksum: -728013009/3566954287
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/release/share/games/spring/base/maphelper.sdz checksum: -1416460384/2878506912
    [f=0000000] [ArchiveScanner] archive checksum indonesia003: 2131353743/2131353743
    [f=0000000] [ArchiveScanner] GetArchives: 10b7067950d50898e5af33f70e0c5383.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/10b7067950d50898e5af33f70e0c5383.sdp checksum: -152677910/4142289386
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/release/share/games/spring/base/springcontent.sdz checksum: 2104627929/2104627929
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/release/share/games/spring/base/spring/bitmaps.sdz checksum: -1951780851/2343186445
    [f=0000000] [ArchiveScanner] archive checksum 10b7067950d50898e5af33f70e0c5383.sdp: 4092734/4092734
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] Hardware is incompatible with Xray shader requirements
    [f=0000000] Jump Jet Defs error checking begining..
    [f=0000000] .. Jump Jet Defs error checking complete
    [f=0000000] Hardware is incompatible with Xray shader requirements
    [f=0000000] Loaded API widget:  Shared Functions    <api_shared_functions.lua>
    [f=0000000] Loaded API widget:  Avatars             <api_avatars.lua>
    [f=0000000] Loaded API widget:  Modular Comm Info   <api_modularcomms.lua>
    [f=0000000] Loaded API widget:  Chili Framework     <api_chili.lua>
    [f=0000000] Loaded API widget:  Lups                <lups_wrapper.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  EPIC Menu           <gui_epicmenu.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Chili Minimap       <gui_chili_minimap.lua>
    [f=0000000] blur api: your hardware does not support shaders
    [f=0000000] Loaded widget:  BlurApi             <api_gfx_blur.lua>
    [f=0000000] Loaded widget:  Local Team Colors   <gui_local_colors.lua>
    [f=0000000] Halo widget: your card is unsupported!
    [f=0000000] Error in Shutdown()
    [f=0000000] Error in Shutdown(): [string "LuaUI/Widgets/gfx_halo.lua"]:282: bad argument #1 to 'DeleteFBO' (FBO expected, got number)
    [f=0000000] Removed widget: Halo
    [f=0000000] Loaded widget:  Halo                <gfx_halo.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  HealthBars          <unit_healthbars.lua>
    [f=0000000] Loaded widget:  Hide map marks and cursor  <gui_hide_marks_on_f5.lua>
    [f=0000000] Loaded widget:  Noises              <snd_noises.lua>
    [f=0000000] Loaded widget:  Chili Vote Display  <gui_chili_vote.lua>
    [f=0000000] Loaded widget:  Team Commander Ends  <gui_teamcommends.lua>
    [f=0000000] Loaded widget:  BuildETA            <gui_build_eta.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  ResetState          <cmd_resetstate.lua>
    [f=0000000] Loaded widget:  Cloak Fire State    <unit_cloakfirestate.lua>
    [f=0000000] false
    [f=0000000] Loaded widget:  AnimatorGUI         <dbg_animator.lua>
    [f=0000000] Calculating mexmap
    [f=0000000] mexmap exported to LuaUI/Configs/MetalMaps/indonesia003.springmexmap
    [f=0000000] Loaded widget:  Area Mex            <cmd_area_mex.lua>
    [f=0000000] Loaded widget:  Auto First Build Facing  <autofirstbuildfacing.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Auto Patrol Nanos   <unit_auto_patrol_nanos.lua>
    [f=0000000] Loaded widget:  Autoquit            <autoquit.lua>
    [f=0000000] Loaded widget:  Blast Radius        <gui_blastradius.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Chili Chat Bubbles  <gui_chili_chatbubbles.lua>
    [f=0000000] Loaded widget:  ComCounter          <unit_com_counter.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Constructor Auto Assist  <unit_factory_guard.lua>
    [f=0000000] Loaded widget:  Context Menu        <gui_contextmenu.lua>
    [f=0000000] Loaded widget:  Darkening           <gui_darkening.lua>
    [f=0000000] Loaded widget:  Ferry Points        <cmd_ferry_points.lua>
    [f=0000000] Loaded widget:  Highlight Geos      <gui_highlight_geos.lua>
    [f=0000000] Loaded widget:  Land Fly            <unit_land_fly.lua>
    [f=0000000] Loaded widget:  MetalFeatures       <gui_metal_features.lua>
    [f=0000000] Loaded widget:  Missile Silo Range  <missilesilo_range.lua>
    [f=0000000] Loaded widget:  Music Player        <snd_music.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Pause Screen        <gui_pausescreen.lua>
    [f=0000000] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Auto Group          <unit_auto_group.lua>
    [f=0000000] Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    [f=0000000] Loaded widget:  Retreat             <cmd_retreat.lua>
    [f=0000000] Loaded widget:  Spectate Selected Team  <gui_spectate_selected_team.lua>
    [f=0000000] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Stereo3D            <gfx_stereo3d.lua>
    [f=0000000] Loaded widget:  Stockpiler          <unit_stockpile.lua>
    [f=0000000] Loaded widget:  Keep Target         <cmd_keep_target.lua>
    [f=0000000] Loaded widget:  Only Fighters Patrol  <unit_only_fighters_patrol.lua>
    [f=0000000] Loaded widget:  DCIcon              <dbg_dcicon.lua>
    [f=0000000] Loaded widget:  Display DPS         <gui_display_dps.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Chili Resource Bars  <gui_chili_resource_bars.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Chili Selections & CursorTip  <gui_chili_selections_and_cursortip.lua>
    [f=0000000] Loaded widget:  MinimapEvents       <minimap_events.lua>
    [f=0000000] Loaded widget:  RelativeMinimap     <minimap_relative.lua>
    [f=0000000] Loaded widget:  Local Widgets Config  <localwidgets.lua>
    [f=0000000] Loaded widget:  MiniMap Start Boxes  <minimap_startbox.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Defense Range Zero-K  <gui_defenserange.lua>
    [f=0000000] Loaded widget:  NoDuplicateOrders   <cmd_no_duplicate_orders.lua>
    [f=0000000] Loaded widget:  Ghost Site          <unit_ghostsite.lua>
    [f=0000000] Loaded widget:  Startup Info and Selector  <init_startup_info_selector.lua>
    [f=0000000] Loaded widget:  Comm Marker         <gui_comm_marker.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Transport AI        <unit_transport_ai.lua>
    [f=0000000] Loaded widget:  Easy Facing         <gui_easyfacing.lua>
    [f=0000000] <Unit Marker> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Unit Marker Zero-K  <unit_marker.lua>
    [f=0000000] Loaded widget:  Start Point Remover & Comm Selector  <init_start_point_remover.lua>
    [f=0000000] Loaded widget:  Auto Set Retreat @60  <unit_auto_set_retreat60.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Unit Start State    <unit_start_state.lua>
    [f=0000000] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [f=0000000] Loaded widget:  MessageBoxes        <mission_messagebox.lua>
    [f=0000000] Loaded widget:  Prospector          <gui_prospector.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Select Keys         <gui_selectkeys.lua>
    [f=0000000] Loaded widget:  SmoothScroll        <camera_smooth_move.lua>
    [f=0000000] Loaded widget:  Stuck Keys          <dbg_stuckkeys.lua>
    [f=0000000] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  UnitShapes          <unit_shapes.lua>
    [f=0000000] Loaded widget:  Lasso Terraform GUI  <gui_lasso_terraform.lua>
    [f=0000000] Loaded widget:  AllyCursors         <gui_ally_cursors.lua>
    [f=0000000] Loaded widget:  Building Starter    <unit_building_starter.lua>
    [f=0000000] Loaded widget:  Cloaker Guard       <unit_cloaker_guard.lua>
    [f=0000000] Loaded widget:  CommandInsert       <gui_commandinsert.lua>
    [f=0000000] Loaded widget:  Rank Icons          <gui_xp.lua>
    [f=0000000] Loaded widget:  Selection Send      <gui_selectionsend.lua>
    [f=0000000] Loaded widget:  Shield Guard        <unit_shield_guard.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  CEG Spawner         <dbg_ceg_spawner.lua>
    [f=0000000] [BloomShader::Initialize] removing widget, no shader support
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  BloomShader (v0.31) (unstable)  <gfx_bloomshader.lua>
    [f=0000000] Loaded widget:  Units on Fire       <gfx_lups_units_on_fire.lua>
    [f=0000000] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Chili Docking       <gui_chili_docking.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Chili Chat v0.43    <gui_chili_chat.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Chili Crude Player List v1.2  <gui_chili_crudeplayerlist.lua>
    [f=0000000] Loaded widget:  Image Preloader     <dbg_img_preload.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Chili FactoryBar    <gui_chili_facbar.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Chili Core Selector  <gui_chili_core_selector.lua>
    [f=0000000] Loaded widget:  Restricted Zones    <gui_restrictedzones.lua>
    [f=0000000] Loaded widget:  Jumjet GUI          <gui_jumpjets.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Chili Gesture Menu  <gui_chili_gesture_menu.lua>
    [f=0000000] Loaded widget:  CustomFormations2   <unit_customformations2.lua>
    [f=0000000] Set UnitIconDist to 250
    [f=0000000] Set maximum particles to: 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Loaded widget:  Chili Integral Menu  <gui_chili_integral_menu.lua>
    [f=0000000] LuaUI v0.3
    [f=0000000] Finalizing
    [f=0000000] <Ghost Site> Spectator mode. Widget removed.
    [f=0000000] Requesting baseline comm
    [f=0000000] Connection attempt from [AG]abma
    [f=0000000]  -> Version: 83.0.1-136-gaeee060 HEAD (Debug)
    [f=0000000]  -> Connection established (given id 4)
    [f=0000000] Connection attempt from Licho[0K]
    [f=0000000]  -> Version: 83.0.1-136-gaeee060 release
    [f=0000000]  -> Connection established (given id 2)
    [f=0000000] Connection attempt from BoBaH
    [f=0000000]  -> Version: 83.0.1-136-gaeee060 release
    [f=0000000]  -> Connection established (given id 1)
    [f=0000000] Connection attempt from [DrK]vulte
    [f=0000000]  -> Version: 83.0.1-136-gaeee060 release
    [f=0000000]  -> Connection established (given id 3)
    [f=0000000] <Easy Facing> Spectator mode. Widget removed.
    [f=0000000] Connection attempt from [DrK]vulte
    [f=0000000]  -> Version: 83.0.1-136-gaeee060 release
    [f=0000000]  -> User is already ingame
    [f=0000000] > [DrK]vulte has left lobby
    [f=0000000] Spectator [DrK]vulte left the game:  timeout
    [f=0000000] Connection attempt from [DrK]vulte
    [f=0000000]  -> Version: 83.0.1-136-gaeee060 release
    [f=0000000]  -> Connection established (given id 3)
    [f=0000000] <BoBaH> Allies: I choose: Rick!
    [f=0000000] [[AG]abma] BoBah: at best you find something how to get as fast as possible a desync :)
    [f=0000000] GameID: 1c8cc14ee9399e2230d1e5f997174d8b
    [f=0000000] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0000001] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0000020] Skirmish AI "CAI" (ID:0) took over control of team 1
    [f=0000030] <DefenseRange>: Spectator mode. Widget removed.
    [f=0000030] Set UnitIconDist to 250
    [f=0000030] Set maximum particles to: 1
    [f=0000030] Ground-decals rendering is disabled!
    [f=0000048] Wind Range: 0 - 2.5. Max Windmill altitude bonus is: 9%
    [f=0000060] Terraform cost multipler = 1
    [f=0000108] BoBaH paused the game
    [f=0000108] <Core Selector>: Spectator mode. Widget removed.
    [f=0000108] Set UnitIconDist to 250
    [f=0000108] Set maximum particles to: 1
    [f=0000108] Ground-decals rendering is disabled!
    [f=0000108] [[AG]abma] hmm
    [f=0000108] [[DrK]vulte] im in this time it was fire that timed me out
    [f=0000108] [[DrK]vulte] fw
    [f=0000108] <BoBaH> ok ok ... I told ya its just interesting for me ;)
    [f=0000108] BoBaH unpaused the game
    [f=0000114] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0000121] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0000122] Speed set to 0.9 [BoBaH]
    [f=0000124] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0000234] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0000737] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0000901] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0001501] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0001556] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0001681] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0001854] LuaUI TweakMode: ON
    [f=0002039] LuaUI TweakMode: OFF
    [f=0002191] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0002841] Buildings set to face East
    [f=0003114] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0003114] The key "LCTRL" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0003472] Comm Marker removed
    [f=0003698] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0003841] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0003864] [[AG]abma] speed at 0.9 is wanted?
    [f=0003944] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0004334] <BoBaH> so what? )
    [f=0004358] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0004421] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0004421] The key "LCTRL" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0005131] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0005670] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0005700] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0005700] The key "LCTRL" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0005701] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0005804] [[AG]abma] why do you play at speed=0.9?
    [f=0006284] <BoBaH> I dont hurry
    [f=0006378] [[AG]abma] kk
    [f=0006894] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0007013] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0007013] The key "LCTRL" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0007674] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0007681] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0007828] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0008035] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0008264] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0008479] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0008479] The key "LCTRL" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0009704] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0009704] The key "LCTRL" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0009891] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0010111] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0010484] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0010742] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0010891] Spectator [DrK]vulte left the game:  normal quit
    [f=0011035] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0011035] The key "LCTRL" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0011320] > [DrK]vulte has left lobby
    [f=0011521] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0012541] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0012558] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0012558] The key "LCTRL" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0012686] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0012871] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0013190] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0013736] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0013925] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0013968] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0014079] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0014502] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0014605] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0014662] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0015582] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0015607] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0016021] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0016427] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0017402] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0017700] [[AG]abma] BoBaH, why don't you build aa?
    [f=0017925] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0018430] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0019173] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0019371] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0019794] [[AG]abma] uh, damn
    [f=0019844] [[AG]abma] :D
    [f=0019951] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0020133] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0020165] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0020412] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0020427] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0021361] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0021395] [[AG]abma] zk shows the ai the same way as the player
    [f=0022042] [[AG]abma] so, this is BoBaH vs BoBaH :)
    [f=0023144] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0023443] [Licho[0K]] it shows me cai unknown for blue :)
    [f=0023539] <BoBaH> yep =))
    [f=0023557] [Licho[0K]] not bobah
    [f=0023715] [Licho[0K]] and yeah cai sux vs air
    [f=0024093] Commanders Remaining: 1
    [f=0024106] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0024122] Error: AddDeathDependence: Duplicated listener object for dependence type 10
    [f=0024122] Error: Stacktrace:
    [f=0024122] Error:   <0> /home/abma/dev/spring/release/rts/System/Object.cpp:150
    [f=0024122] Error:   <1> /home/abma/dev/spring/release/rts/Sim/MoveTypes/MoveType.cpp:118
    [f=0024122] Error:   <2> /home/abma/dev/spring/release/rts/Sim/MoveTypes/AAirMoveType.cpp:77
    [f=0024122] Error:   <3> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:358
    [f=0024122] Error:   <4> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:377
    [f=0024122] Error:   <5> /home/abma/dev/spring/release/rts/Sim/Units/Unit.cpp:936
    [f=0024122] Error:   <6> /home/abma/dev/spring/release/rts/Sim/Units/UnitHandler.cpp:321
    [f=0024122] Error:   <7> /home/abma/dev/spring/release/rts/Game/Game.cpp:1431
    [f=0024122] Error:   <8> /home/abma/dev/spring/release/rts/Game/NetCommands.cpp:365
    [f=0024122] Error:   <9> /home/abma/dev/spring/release/rts/Game/Game.cpp:888
    [f=0024122] Error: AddDeathDependence: Duplicated listening object for dependence type 10
    [f=0024122] Error: Stacktrace:
    [f=0024122] Error:   <0> /home/abma/dev/spring/release/rts/System/Object.cpp:157
    [f=0024122] Error:   <1> /home/abma/dev/spring/release/rts/Sim/MoveTypes/MoveType.cpp:118
    [f=0024122] Error:   <2> /home/abma/dev/spring/release/rts/Sim/MoveTypes/AAirMoveType.cpp:77
    [f=0024122] Error:   <3> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:358
    [f=0024122] Error:   <4> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:377
    [f=0024122] Error:   <5> /home/abma/dev/spring/release/rts/Sim/Units/Unit.cpp:936
    [f=0024122] Error:   <6> /home/abma/dev/spring/release/rts/Sim/Units/UnitHandler.cpp:321
    [f=0024122] Error:   <7> /home/abma/dev/spring/release/rts/Game/Game.cpp:1431
    [f=0024122] Error:   <8> /home/abma/dev/spring/release/rts/Game/NetCommands.cpp:365
    [f=0024122] Error:   <9> /home/abma/dev/spring/release/rts/Game/Game.cpp:888
    [f=0024409] [Licho[0K]] give up ai
    [f=0024461] [Licho[0K]] you lost
    [f=0024645] <BoBaH> :p
    [f=0024727] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0025030] [[AG]abma]  mean the hover effect box
    [f=0025136] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0025169] [[AG]abma] i 
    [f=0025350] [Licho[0K]] its a tribute to CAI  if abma thought its a human
    [f=0025417] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0025655] [[AG]abma] no, not really
    [f=0025696] [Licho[0K]] oh yeah lol
    [f=0026219] [[AG]abma] i wondered why the east plays so stupid
    [f=0026491] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0026885] <BoBaH> ne VVeSt %]
    [f=0027306] [[AG]abma] but i didn't follow the game the whole time 
    [f=0027601] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0027679] [[AG]abma] but cai plays nice :)
    [f=0027881] The key "F11" has been pressed for over 30 seconds. It might be stuck, try tapping it.
    [f=0028227] [Licho[0K]] well it fails at sea/ai
    [f=0028278] [Licho[0K]] air 
    [f=0028363] [Licho[0K]] its only land pusher
    [f=0029645] Error: AddDeathDependence: Duplicated listener object for dependence type 10
    [f=0029645] Error: Stacktrace:
    [f=0029645] Error:   <0> /home/abma/dev/spring/release/rts/System/Object.cpp:150
    [f=0029645] Error:   <1> /home/abma/dev/spring/release/rts/Sim/MoveTypes/MoveType.cpp:118
    [f=0029645] Error:   <2> /home/abma/dev/spring/release/rts/Sim/MoveTypes/AAirMoveType.cpp:77
    [f=0029645] Error:   <3> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:358
    [f=0029645] Error:   <4> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:377
    [f=0029645] Error:   <5> /home/abma/dev/spring/release/rts/Sim/Units/Unit.cpp:936
    [f=0029645] Error:   <6> /home/abma/dev/spring/release/rts/Sim/Units/UnitHandler.cpp:321
    [f=0029645] Error:   <7> /home/abma/dev/spring/release/rts/Game/Game.cpp:1431
    [f=0029645] Error:   <8> /home/abma/dev/spring/release/rts/Game/NetCommands.cpp:365
    [f=0029645] Error:   <9> /home/abma/dev/spring/release/rts/Game/Game.cpp:888
    [f=0029645] Error: AddDeathDependence: Duplicated listening object for dependence type 10
    [f=0029645] Error: Stacktrace:
    [f=0029645] Error:   <0> /home/abma/dev/spring/release/rts/System/Object.cpp:157
    [f=0029645] Error:   <1> /home/abma/dev/spring/release/rts/Sim/MoveTypes/MoveType.cpp:118
    [f=0029645] Error:   <2> /home/abma/dev/spring/release/rts/Sim/MoveTypes/AAirMoveType.cpp:77
    [f=0029645] Error:   <3> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:358
    [f=0029645] Error:   <4> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:377
    [f=0029645] Error:   <5> /home/abma/dev/spring/release/rts/Sim/Units/Unit.cpp:936
    [f=0029645] Error:   <6> /home/abma/dev/spring/release/rts/Sim/Units/UnitHandler.cpp:321
    [f=0029645] Error:   <7> /home/abma/dev/spring/release/rts/Game/Game.cpp:1431
    [f=0029645] Error:   <8> /home/abma/dev/spring/release/rts/Game/NetCommands.cpp:365
    [f=0029645] Error:   <9> /home/abma/dev/spring/release/rts/Game/Game.cpp:888
    [f=0029674] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0029689] Commanders Remaining: 0
    [f=0029862] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0030047] Switching to Overview style camera
    [f=0030082] Switching to Overhead (TA) style camera
    [f=0030669] Error: AddDeathDependence: Duplicated listener object for dependence type 10
    [f=0030669] Error: Stacktrace:
    [f=0030669] Error:   <0> /home/abma/dev/spring/release/rts/System/Object.cpp:150
    [f=0030669] Error:   <1> /home/abma/dev/spring/release/rts/Sim/MoveTypes/MoveType.cpp:118
    [f=0030669] Error:   <2> /home/abma/dev/spring/release/rts/Sim/MoveTypes/AAirMoveType.cpp:77
    [f=0030669] Error:   <3> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:358
    [f=0030669] Error:   <4> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:377
    [f=0030669] Error:   <5> /home/abma/dev/spring/release/rts/Sim/Units/Unit.cpp:936
    [f=0030669] Error:   <6> /home/abma/dev/spring/release/rts/Sim/Units/UnitHandler.cpp:321
    [f=0030669] Error:   <7> /home/abma/dev/spring/release/rts/Game/Game.cpp:1431
    [f=0030669] Error:   <8> /home/abma/dev/spring/release/rts/Game/NetCommands.cpp:365
    [f=0030669] Error:   <9> /home/abma/dev/spring/release/rts/Game/Game.cpp:888
    [f=0030669] Error: AddDeathDependence: Duplicated listening object for dependence type 10
    [f=0030669] Error: Stacktrace:
    [f=0030669] Error:   <0> /home/abma/dev/spring/release/rts/System/Object.cpp:157
    [f=0030669] Error:   <1> /home/abma/dev/spring/release/rts/Sim/MoveTypes/MoveType.cpp:118
    [f=0030669] Error:   <2> /home/abma/dev/spring/release/rts/Sim/MoveTypes/AAirMoveType.cpp:77
    [f=0030669] Error:   <3> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:358
    [f=0030669] Error:   <4> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:377
    [f=0030669] Error:   <5> /home/abma/dev/spring/release/rts/Sim/Units/Unit.cpp:936
    [f=0030669] Error:   <6> /home/abma/dev/spring/release/rts/Sim/Units/UnitHandler.cpp:321
    [f=0030669] Error:   <7> /home/abma/dev/spring/release/rts/Game/Game.cpp:1431
    [f=0030669] Error:   <8> /home/abma/dev/spring/release/rts/Game/NetCommands.cpp:365
    [f=0030669] Error:   <9> /home/abma/dev/spring/release/rts/Game/Game.cpp:888
    [f=0031240] [Licho[0K]] something changed with plasma appearance
    [f=0032033] Error: AddDeathDependence: Duplicated listener object for dependence type 10
    [f=0032033] Error: Stacktrace:
    [f=0032033] Error:   <0> /home/abma/dev/spring/release/rts/System/Object.cpp:150
    [f=0032033] Error:   <1> /home/abma/dev/spring/release/rts/Sim/MoveTypes/MoveType.cpp:118
    [f=0032033] Error:   <2> /home/abma/dev/spring/release/rts/Sim/MoveTypes/AAirMoveType.cpp:77
    [f=0032033] Error:   <3> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:358
    [f=0032033] Error:   <4> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:377
    [f=0032033] Error:   <5> /home/abma/dev/spring/release/rts/Sim/Units/Unit.cpp:936
    [f=0032033] Error:   <6> /home/abma/dev/spring/release/rts/Sim/Units/UnitHandler.cpp:321
    [f=0032033] Error:   <7> /home/abma/dev/spring/release/rts/Game/Game.cpp:1431
    [f=0032033] Error:   <8> /home/abma/dev/spring/release/rts/Game/NetCommands.cpp:365
    [f=0032033] Error:   <9> /home/abma/dev/spring/release/rts/Game/Game.cpp:888
    [f=0032033] Error: AddDeathDependence: Duplicated listening object for dependence type 10
    [f=0032033] Error: Stacktrace:
    [f=0032033] Error:   <0> /home/abma/dev/spring/release/rts/System/Object.cpp:157
    [f=0032033] Error:   <1> /home/abma/dev/spring/release/rts/Sim/MoveTypes/MoveType.cpp:118
    [f=0032033] Error:   <2> /home/abma/dev/spring/release/rts/Sim/MoveTypes/AAirMoveType.cpp:77
    [f=0032033] Error:   <3> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:358
    [f=0032033] Error:   <4> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:377
    [f=0032033] Error:   <5> /home/abma/dev/spring/release/rts/Sim/Units/Unit.cpp:936
    [f=0032033] Error:   <6> /home/abma/dev/spring/release/rts/Sim/Units/UnitHandler.cpp:321
    [f=0032033] Error:   <7> /home/abma/dev/spring/release/rts/Game/Game.cpp:1431
    [f=0032033] Error:   <8> /home/abma/dev/spring/release/rts/Game/NetCommands.cpp:365
    [f=0032033] Error:   <9> /home/abma/dev/spring/release/rts/Game/Game.cpp:888
    [f=0032331] Spectator Licho[0K] left the game:  normal quit
    [f=0034700] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0037031] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0039477] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0039732] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0040053] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0041027] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0041042] Commanders Remaining: 1
    [f=0041339] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0043550] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0044802] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0045119] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0046710] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0046951] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0047230] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0047412] [[AG]abma] BoBaH i guess you should attack ^^
    [f=0047571] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0048654] <BoBaH> its not a war) read the room name ;)
    [f=0048854] Added new player: Ephinox
    [f=0048956] <BoBaH> or u wanna join?
    [f=0049403] Commanders Remaining: 2
    [f=0049825] > Ephinox has left lobby
    [f=0049830] [[AG]abma] i know, its a testgame
    [f=0050214] [[AG]abma] but you already found enough bugs, and no desync happened (yet)
    [f=0050647] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0050769] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0050966] [[AG]abma] its bad if testgames takes very long, because the replay is also big
    [f=0051472] [[AG]abma] watching replays isn't fun :)
    [f=0051656] <BoBaH> hmmm...
    [f=0051998] <BoBaH> ok.. I'll finish it soon  ^^
    [f=0052324] [[AG]abma] for devs its best to have tiny testgames that trigger a bug
    [f=0052658] Error: AddDeathDependence: Duplicated listener object for dependence type 10
    [f=0052658] Error: Stacktrace:
    [f=0052658] Error:   <0> /home/abma/dev/spring/release/rts/System/Object.cpp:150
    [f=0052658] Error:   <1> /home/abma/dev/spring/release/rts/Sim/MoveTypes/MoveType.cpp:118
    [f=0052658] Error:   <2> /home/abma/dev/spring/release/rts/Sim/MoveTypes/AAirMoveType.cpp:77
    [f=0052658] Error:   <3> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:358
    [f=0052658] Error:   <4> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/AirCAI.cpp:225
    [f=0052658] Error:   <5> /home/abma/dev/spring/release/rts/Sim/Units/Unit.cpp:936
    [f=0052658] Error:   <6> /home/abma/dev/spring/release/rts/Sim/Units/UnitHandler.cpp:321
    [f=0052658] Error:   <7> /home/abma/dev/spring/release/rts/Game/Game.cpp:1431
    [f=0052658] Error:   <8> /home/abma/dev/spring/release/rts/Game/NetCommands.cpp:365
    [f=0052658] Error:   <9> /home/abma/dev/spring/release/rts/Game/Game.cpp:888
    [f=0052658] Error: AddDeathDependence: Duplicated listening object for dependence type 10
    [f=0052658] Error: Stacktrace:
    [f=0052658] Error:   <0> /home/abma/dev/spring/release/rts/System/Object.cpp:157
    [f=0052658] Error:   <1> /home/abma/dev/spring/release/rts/Sim/MoveTypes/MoveType.cpp:118
    [f=0052658] Error:   <2> /home/abma/dev/spring/release/rts/Sim/MoveTypes/AAirMoveType.cpp:77
    [f=0052658] Error:   <3> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:358
    [f=0052658] Error:   <4> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/AirCAI.cpp:225
    [f=0052658] Error:   <5> /home/abma/dev/spring/release/rts/Sim/Units/Unit.cpp:936
    [f=0052658] Error:   <6> /home/abma/dev/spring/release/rts/Sim/Units/UnitHandler.cpp:321
    [f=0052658] Error:   <7> /home/abma/dev/spring/release/rts/Game/Game.cpp:1431
    [f=0052658] Error:   <8> /home/abma/dev/spring/release/rts/Game/NetCommands.cpp:365
    [f=0052658] Error:   <9> /home/abma/dev/spring/release/rts/Game/Game.cpp:888
    [f=0052795] [[AG]abma] something like: build unit a, b, move to c -> crash or so
    [f=0053088] <BoBaH> this time I try to NOT trigger it
    [f=0053579] [[AG]abma] but keep playing :) np
    [f=0053843] [[AG]abma] testers needs to have fun, too :D
    [f=0053951] <BoBaH> possible that shields caused desync.. I wanna try big game w/o a shields
    [f=0054245] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0054915] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0055747] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0056035] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0056545] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0056556] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0056941] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0057851] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0058008] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0058017] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0060259] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0060340] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0060882] Error: AddDeathDependence: Duplicated listener object for dependence type 10
    [f=0060882] Error: Stacktrace:
    [f=0060882] Error:   <0> /home/abma/dev/spring/release/rts/System/Object.cpp:150
    [f=0060882] Error:   <1> /home/abma/dev/spring/release/rts/Sim/MoveTypes/MoveType.cpp:118
    [f=0060882] Error:   <2> /home/abma/dev/spring/release/rts/Sim/MoveTypes/AAirMoveType.cpp:77
    [f=0060882] Error:   <3> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:358
    [f=0060882] Error:   <4> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:377
    [f=0060882] Error:   <5> /home/abma/dev/spring/release/rts/Sim/Units/Unit.cpp:936
    [f=0060882] Error:   <6> /home/abma/dev/spring/release/rts/Sim/Units/UnitHandler.cpp:321
    [f=0060882] Error:   <7> /home/abma/dev/spring/release/rts/Game/Game.cpp:1431
    [f=0060882] Error:   <8> /home/abma/dev/spring/release/rts/Game/NetCommands.cpp:365
    [f=0060882] Error:   <9> /home/abma/dev/spring/release/rts/Game/Game.cpp:888
    [f=0060882] Error: AddDeathDependence: Duplicated listening object for dependence type 10
    [f=0060882] Error: Stacktrace:
    [f=0060882] Error:   <0> /home/abma/dev/spring/release/rts/System/Object.cpp:157
    [f=0060882] Error:   <1> /home/abma/dev/spring/release/rts/Sim/MoveTypes/MoveType.cpp:118
    [f=0060882] Error:   <2> /home/abma/dev/spring/release/rts/Sim/MoveTypes/AAirMoveType.cpp:77
    [f=0060882] Error:   <3> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:358
    [f=0060882] Error:   <4> /home/abma/dev/spring/release/rts/Sim/Units/CommandAI/MobileCAI.cpp:377
    [f=0060882] Error:   <5> /home/abma/dev/spring/release/rts/Sim/Units/Unit.cpp:936
    [f=0060882] Error:   <6> /home/abma/dev/spring/release/rts/Sim/Units/UnitHandler.cpp:321
    [f=0060882] Error:   <7> /home/abma/dev/spring/release/rts/Game/Game.cpp:1431
    [f=0060882] Error:   <8> /home/abma/dev/spring/release/rts/Game/NetCommands.cpp:365
    [f=0060882] Error:   <9> /home/abma/dev/spring/release/rts/Game/Game.cpp:888
    [f=0061149] Game Over: Destroying alliance 1
    [f=0061149] Team 1 (lead by BoBaH) is no more
    [f=0061151] [Texture] Load S3O texture now (Flip Y Axis: no, Invert Team Alpha: no)
    [f=0061504] [[AG]abma] uhm
    [f=0061786] [[AG]abma] where is the endscreen? :D
    [f=0061987] <BoBaH> dunno...
    [f=0062512] <BoBaH> but u see: no shields - no desync
    [f=0062701] [[AG]abma] i saw the message Game Over: Destroying alliance 1
    [f=0062828] [[AG]abma] but no endscreen...hmm
    [f=0062865] [[AG]abma] trange
    [f=0062907] [[AG]abma] s
    [f=0063393] <BoBaH> yes.. dunno why it doesnt exit
    [f=0063778] <BoBaH> !exit
    [f=0063778] > Sorry, you do not have rights to execute exit
    [f=0063779] > Do you want to exit this game? !vote 1 = yes, !vote 2 = no
    [f=0063862] <BoBaH> !vote 1
    [f=0063863] > option 1 has 1 of 1 votes
    [f=0063863] > vote successful - force exiting
    [f=0063863] > exiting game
    [f=0063864] Server shutdown
    [f=0063864] GAME OVER!!
    [f=0063864] <autoquit> Automatically exiting in 10 seconds. Move mouse to cancel.
    [f=0063864] Error: Failed closing UDP conection: Transport endpoint is not connected
    [f=0063864] <autoquit> Autoquit sending quit command.
    [f=0063864] User exited
    [f=0063864] User exited
    [f=0063864] Path cache hits 758 29%
    [f=0063864] Path cache hits 2183 21%
    [f=0063864] Statistics for UDP connection:
    Received: 438491 bytes in 18497 packets (23.7061 bytes/package)
    Sent: 890972 bytes in 24620 packets (36.189 bytes/package)
    Relative protocol overhead: 0 up, 0.2531 down
    2 incoming chunks had been dropped, 2 outgoing chunks had to be resent
    
    
    txt file icon infolog.txt (65,030 bytes) 2011-11-14 23:28 +

-Relationships
+Relationships

-Notes

~0007494

abma (administrator)

sorry, severity was wrong, doesn't crash, just print a stacktrace

~0007495

Kloot (developer)

fwiw this no longer reproduces after my fixes for 0002702, but the bug is probably still there (stacktrace implies an aircraft tried to register the same airbase twice)

~0007496

abma (administrator)

yep, stacktrace doesn't show up with latest changes.

i only got some:
[f=0005806] Warning: Got invalid Select: Invalid unit ID (1664)
[f=0006217] Warning: Got invalid Select: Invalid unit ID (762)
[f=0006417] Warning: Got invalid Select: Invalid unit ID (762)
[f=0007209] Warning: Got invalid Select: Invalid unit ID (762)
[f=0007495] Warning: Got invalid Select: Invalid unit ID (762)

but i guess thats because of a widget bug?

~0007497

abma (administrator)

so... if it cant be reproduced, close this bug in a month or so...

~0007604

abma (administrator)

Last edited: 2011-11-14 23:29

happened in a test-game zk vs cai, too, so this is not fixed.

see 20111114_224432_indonesia003_83.0.1-136-gaeee060 HEAD.sdf + infolog.txt

~0007606

Kloot (developer)

nuked (probably)
+Notes

-Issue History
Date Modified Username Field Change
2011-11-05 18:40 abma New Issue
2011-11-05 18:40 abma File Added: 20111105_165134_CloseCombat_82.8.1-64-g0115fa9 develop.sdf
2011-11-05 20:11 abma Severity crash => major
2011-11-05 20:12 abma Note Added: 0007494
2011-11-05 21:01 Kloot Note Added: 0007495
2011-11-05 21:16 abma Note Added: 0007496
2011-11-06 10:25 abma Note Added: 0007497
2011-11-06 10:25 abma Status new => feedback
2011-11-14 23:06 abma Note Added: 0007604
2011-11-14 23:06 abma Status feedback => new
2011-11-14 23:28 abma File Added: 20111114_224432_indonesia003_83.0.1-136-gaeee060 HEAD.sdf
2011-11-14 23:28 abma File Added: infolog.txt
2011-11-14 23:28 abma Note Edited: 0007604
2011-11-14 23:29 abma Note Edited: 0007604
2011-11-15 11:58 Kloot Note Added: 0007606
2011-11-15 11:58 Kloot Status new => resolved
2011-11-15 11:58 Kloot Fixed in Version => 84.0
2011-11-15 11:58 Kloot Resolution open => fixed
2011-11-15 11:58 Kloot Assigned To => Kloot
+Issue History